=== debian/changelog ===
libreoffice (4:7.5.9-0ubuntu0.23.04.1~bpo22.04.1) jammy-backports; urgency=medium

  * Backport from lunar (LP: #2046150)
  * Disable GTK4 and QT6 support
  * Use internal xmlsec, graphite and harfbuzz to meat upstream requirements

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 28 Nov 2023 20:57:57 +0100

libreoffice (4:7.5.9-0ubuntu0.23.04.1) lunar-security; urgency=medium

  * New upstream release (LP: #2044369)
  * SECURITY UPDATE: Improper input validation enabling arbitrary Gstreamer
    pipeline injection
    - CVE-2023-6185
  * SECURITY UPDATE: Link targets allow arbitrary script execution
    - CVE-2023-6186

  [ Rico Tzschichholz ]
  * patches/CppunitTest_desktop_lib-adjust-asserts-so-this-works.patch:
    - Usage of expired certificates in CppunitTest_desktop_lib:
      adjust asserts so this works again

  [ Rene Engelhard ]
  * debian/rules:
    - Re-enable cmis; bump libcmis build-dep to >= 0.6.1

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 28 Nov 2023 20:57:57 +0100

libreoffice (4:7.5.8-0ubuntu0.23.04.1) lunar; urgency=medium

  * New upstream release (LP: #2041716)

  [ Rico Tzschichholz ]
  * debian/patches/fix-arm64-tests.diff:
    - Dropped while it got fixed upsteam
  * debian/rules:
    - Remove potentially harmful replacement in control

  [ Rene Engelhard ]
  * debian/rules:
    - Update officebean so install comment to reflect reality;
      libreoffice-officebean is long gone
    - Fix typo, s/disble/disable/

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 01 Nov 2023 21:57:34 +0100

libreoffice (4:7.5.7-0ubuntu0.23.04.1) lunar; urgency=medium

  * New upstream release (LP: #2037274)
  * debian/patches/fix-arm64-tests.diff:
    - Fix StatisticalFunctionsTest::testStatisticalFormulasFODS on arm64

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 22 Sep 2023 23:37:38 +0200

libreoffice (4:7.5.6-0ubuntu0.23.04.1) lunar; urgency=medium

  * New upstream release (LP: #2033643)

  [ Rene Engelhard ]
  * debian/rules:
    - fix install of template(s) on bn-IN
  * debian/patches/dp_platform-riscv64-and-loongarch64.diff: actually make
    riscv64 and loongarch64 known to "the deployment"
  * debian/patches/fix-riscv64-bridges.diff: as name says; from
    upstream master
  * debian/patches/bash-completion-updates.diff: add pages to lowriters bash
    completion
  * debian/patches/disable-flaky-tests.diff: actually testTdf146346 just looks
    flaky

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 31 Aug 2023 13:02:26 +0200
